VirtualBox

Ticket #15337 (closed defect: fixed)

Opened 20 months ago

Last modified 20 months ago

VirtualBox doesn't start on latest Windows 10 Pro Insider Preview build 14328 => Fixed in SVN

Reported by: Zupo Llask Owned by:
Priority: blocker Component: other
Version: VirtualBox 5.0.18 Keywords:
Cc: Guest type: other
Host type: Windows

Description

Both latest:

Are not starting on latest:

  • Windows 10 Pro Insider Preview (fast ring) build 14328 (rs1_release.160418-1609)

These are the details event ID 1000 error is throwing whenever I try to start VirtualBox:

Faulting application name: VirtualBox.exe, version: 5.0.19.6806, time stamp: 0x5719e1e7
Faulting module name: VirtualBox.exe, version: 5.0.19.6806, time stamp: 0x5719e1e7
Exception code: 0xc0000005
Fault offset: 0x000165a2
Faulting process ID: 0x1fc8
Faulting application start time: 0x01d19d443dcadaa6
Faulting application path: C:\Program Files\Oracle\VirtualBox\VirtualBox.exe
Faulting module path: C:\Program Files\Oracle\VirtualBox\VirtualBox.exe
Report ID: a2e846ff-6aad-4043-9fcf-780f9a32085e
Faulting package full name: 
Faulting package-relative application ID: 

No VBoxBugReport is generated.

Attachments

VBoxHardening.log Download (32.4 KB) - added by Zupo Llask 20 months ago.

Change History

comment:1 Changed 20 months ago by Adam2Marsh

Wanted to add I'm having the extact same error with Windows 10 Home Insider Preview version 160418-1609

Tried Vbox Versions above and 4.3.38-106717 but none would start. Just saw same windows event.

comment:2 Changed 20 months ago by mrbongiolo

Having the same error over here.

OS: Windows 10 Home Insider Preview Single Language - Build 14328 (rs1_release.160418-1609)

VirtualBox: 5.0.19 revision 106806 test build

VirtualBox don't open, it also fails with vagrant, when trying to open a VM in headless mode.

Windows Event log:

Nome do Log:   Application
Fonte:         Application Error
Data:          23/04/2016 12:45:06
Identificação do Evento:1000
Categoria da Tarefa:(100)
Nível:         Erro
Palavras-chave:Clássico
Usuário:       N/D
Computador:    SAITAMA
Descrição:
Nome do aplicativo com falha: VirtualBox.exe, versão: 5.0.19.6806, carimbo de data/hora: 0x5719dfd6
Nome do módulo com falha: VirtualBox.exe, versão: 5.0.19.6806, carimbo de data/hora: 0x5719dfd6
Código de exceção: 0xc0000005
Deslocamento da falha: 0x00000000000137e2
ID do processo com falha: 0x1308
Hora de início do aplicativo com falha: 0x01d19d7f7dec3b6c
Caminho do aplicativo com falha: C:\Program Files\Oracle\VirtualBox\VirtualBox.exe
Caminho do módulo com falha: C:\Program Files\Oracle\VirtualBox\VirtualBox.exe
ID do Relatório: 73537ae9-2025-4e90-a7dd-43a1e426437a
Nome completo do pacote com falha: 
ID do aplicativo relativo ao pacote com falha: 
XML de Evento:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Application Error" />
    <EventID Qualifiers="0">1000</EventID>
    <Level>2</Level>
    <Task>100</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2016-04-23T16:45:06.971558100Z" />
    <EventRecordID>268</EventRecordID>
    <Channel>Application</Channel>
    <Computer>SAITAMA</Computer>
    <Security />
  </System>
  <EventData>
    <Data>VirtualBox.exe</Data>
    <Data>5.0.19.6806</Data>
    <Data>5719dfd6</Data>
    <Data>VirtualBox.exe</Data>
    <Data>5.0.19.6806</Data>
    <Data>5719dfd6</Data>
    <Data>c0000005</Data>
    <Data>00000000000137e2</Data>
    <Data>1308</Data>
    <Data>01d19d7f7dec3b6c</Data>
    <Data>C:\Program Files\Oracle\VirtualBox\VirtualBox.exe</Data>
    <Data>C:\Program Files\Oracle\VirtualBox\VirtualBox.exe</Data>
    <Data>73537ae9-2025-4e90-a7dd-43a1e426437a</Data>
    <Data>
    </Data>
    <Data>
    </Data>
  </EventData>
</Event>

Vagrant logs:

VirtualBox COM Server 5.0.19 r106806 win.amd64 (Apr 22 2016 09:23:36) release log
00:00:00.005003 main     Log opened 2016-04-23T16:35:21.473034800Z
00:00:00.005003 main     Build Type: release
00:00:00.005003 main     OS Product: Windows 10
00:00:00.005003 main     OS Release: 10.0.14328
00:00:00.005003 main     OS Service Pack: 
00:00:00.015509 main     DMI Product Name: Vostro 3560
00:00:00.022013 main     DMI Product Version: A17
00:00:00.022013 main     Host RAM: 8067MB total, 4878MB available
00:00:00.022013 main     Executable: C:\Program Files\Oracle\VirtualBox\VBoxSVC.exe
00:00:00.022013 main     Process ID: 6780
00:00:00.022013 main     Package type: WINDOWS_64BITS_GENERIC
00:00:00.024015          Home directory: 'C:\Users\Ralf/.VirtualBox'
00:00:00.024516          Installed Drivers:
00:00:00.026016            C:\WINDOWS\system32\DRIVERS\VBoxNetAdp6.sys (Version: 5.0.19.6806)
00:00:00.026016            C:\WINDOWS\system32\DRIVERS\VBoxNetLwf.sys (Version: 5.0.19.6806)
00:00:00.026517            C:\WINDOWS\system32\DRIVERS\VBoxUSBMon.sys (Version: 5.0.19.6806)
00:00:00.027017            C:\WINDOWS\system32\DRIVERS\VBoxDrv.sys (Version: 5.0.19.6806)
00:00:00.030519          Loading settings file "C:\Users\Ralf/.VirtualBox\VirtualBox.xml" with version "1.12-windows"
00:00:00.148166          Getting USB descriptor failed with error 31
00:00:00.247406          Getting USB descriptor failed with error 31
00:00:00.248910          USB: Unknown USB device detected (idVendor: 0x0cf3, idProduct: 0xe004). Please, report the idVendor and idProduct to virtualbox.org.
00:00:00.302990          HostDnsMonitor: old information
00:00:00.302990            no server entries
00:00:00.302990            no search string entries
00:00:00.302990            no domain set
00:00:00.302990          HostDnsMonitor: new information
00:00:00.302990            server 1: 192.168.0.1
00:00:00.302990            no search string entries
00:00:00.302990            no domain set
00:00:00.302990          HostDnsMonitorProxy::notify
00:00:00.347518          VD: VDInit finished
00:00:00.348518          Loading settings file "C:\Users\Ralf\VirtualBox VMs\projects_default_1445267986923_35247\projects_default_1445267986923_35247.vbox" with version "1.12-windows"
00:00:00.424243          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:04.021599 Watcher  ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={MachineWrap} aText={The virtual machine 'projects_default_1445267986923_35247' has terminated unexpectedly during startup with exit code 255 (0xff)}, preserve=false aResultDetail=0
00:00:09.025615 main     ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={4afe423b-43e0-e9d0-82e8-ceb307940dda} aComponent={MediumWrap} aText={Medium 'C:\Users\Ralf\VirtualBox VMs\projects_default_1445267986923_35247\box-disk1.vmdk' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0
00:00:09.028512 Watcher  ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={0169423f-46b4-cde9-91af-1e9d5b6cd945} aComponent={VirtualBoxWrap} aText={The object is not ready}, preserve=false aResultDetail=0
VirtualBox COM Server 5.0.19 r106806 win.amd64 (Apr 22 2016 09:23:36) release log
00:00:00.009492 main     Log opened 2016-04-23T16:35:03.417796400Z
00:00:00.009492 main     Build Type: release
00:00:00.009492 main     OS Product: Windows 10
00:00:00.009492 main     OS Release: 10.0.14328
00:00:00.009492 main     OS Service Pack: 
00:00:00.031507 main     DMI Product Name: Vostro 3560
00:00:00.038015 main     DMI Product Version: A17
00:00:00.038015 main     Host RAM: 8067MB total, 4880MB available
00:00:00.038015 main     Executable: C:\Program Files\Oracle\VirtualBox\VBoxSVC.exe
00:00:00.038015 main     Process ID: 8680
00:00:00.038015 main     Package type: WINDOWS_64BITS_GENERIC
00:00:00.042514          Home directory: 'C:\Users\Ralf/.VirtualBox'
00:00:00.043015          Installed Drivers:
00:00:00.062527            C:\WINDOWS\system32\DRIVERS\VBoxNetAdp6.sys (Version: 5.0.19.6806)
00:00:00.079038            C:\WINDOWS\system32\DRIVERS\VBoxNetLwf.sys (Version: 5.0.19.6806)
00:00:00.079538            C:\WINDOWS\system32\DRIVERS\VBoxUSBMon.sys (Version: 5.0.19.6806)
00:00:00.079538            C:\WINDOWS\system32\DRIVERS\VBoxDrv.sys (Version: 5.0.19.6806)
00:00:00.083041          Loading settings file "C:\Users\Ralf/.VirtualBox\VirtualBox.xml" with version "1.12-windows"
00:00:00.203401          Getting USB descriptor failed with error 31
00:00:00.302269          Getting USB descriptor failed with error 31
00:00:00.305771          USB: Unknown USB device detected (idVendor: 0x0cf3, idProduct: 0xe004). Please, report the idVendor and idProduct to virtualbox.org.
00:00:00.363744          HostDnsMonitor: old information
00:00:00.363744            no server entries
00:00:00.363744            no search string entries
00:00:00.363744            no domain set
00:00:00.363744          HostDnsMonitor: new information
00:00:00.363744            server 1: 192.168.0.1
00:00:00.363744            no search string entries
00:00:00.363744            no domain set
00:00:00.363744          HostDnsMonitorProxy::notify
00:00:00.415226          VD: VDInit finished
00:00:00.421845          Loading settings file "C:\Users\Ralf\VirtualBox VMs\projects_default_1445267986923_35247\projects_default_1445267986923_35247.vbox" with version "1.12-windows"
00:00:00.529193          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:00.640254          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:00.800325          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.029058          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.136619          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.328457          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.439524          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.633355          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.781483          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:01.922274          ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={SessionMachine} aText={This machine does not have any snapshots}, preserve=false aResultDetail=0
00:00:06.926070 main     ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={4afe423b-43e0-e9d0-82e8-ceb307940dda} aComponent={MediumWrap} aText={Medium 'C:\Users\Ralf\VirtualBox VMs\projects_default_1445267986923_35247\box-disk1.vmdk' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0
00:00:06.929072 Watcher  ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={0169423f-46b4-cde9-91af-1e9d5b6cd945} aComponent={VirtualBoxWrap} aText={The object is not ready}, preserve=false aResultDetail=0

comment:3 Changed 20 months ago by jkudish

Experiencing the exact same thing with build 14328

comment:4 Changed 20 months ago by frank

Any VBoxHardening.log available?

comment:5 Changed 20 months ago by ci4

The interface itself crashes; I don't know where I can find the VBoxHardening.log file, if indeed one is created at this moment - as no VM has been started. This is a new VirtualBox installation on build 14328. When I import one of my old VMs and then try to start it, the only log I can see:

VirtualBox COM Server 5.0.18 r106667 win.amd64 (Apr 18 2016 14:31:52) release log
00:00:00.002001 main     Log opened 2016-04-25T11:08:55.863544800Z
00:00:00.002001 main     Build Type: release
00:00:00.002001 main     OS Product: Windows 10
00:00:00.002001 main     OS Release: 10.0.14328
00:00:00.002001 main     OS Service Pack: 
00:00:00.013007 main     DMI Product Name: HP EliteBook 8570w
00:00:00.019011 main     DMI Product Version: A1009D11
00:00:00.019011 main     Host RAM: 20412MB total, 12138MB available
00:00:00.019011 main     Executable: C:\Program Files\Oracle\VirtualBox\VBoxSVC.exe
00:00:00.019011 main     Process ID: 2564
00:00:00.019011 main     Package type: WINDOWS_64BITS_GENERIC
00:00:00.020012          Home directory: 'C:\Users\ci4/.VirtualBox'
00:00:00.021038          Installed Drivers:
00:00:00.024044            C:\WINDOWS\system32\DRIVERS\VBoxUSBMon.sys (Version: 5.0.18.6667)
00:00:00.024044            C:\WINDOWS\system32\DRIVERS\VBoxDrv.sys (Version: 5.0.18.6667)
00:00:00.025045            C:\WINDOWS\system32\DRIVERS\VBoxNetAdp6.sys (Version: 5.0.18.6667)
00:00:00.025045            C:\WINDOWS\system32\DRIVERS\VBoxNetLwf.sys (Version: 5.0.18.6667)
00:00:00.025045          Loading settings file "C:\Users\ci4/.VirtualBox\VirtualBox.xml" with version "1.12-windows"
00:00:00.133525          Getting USB descriptor failed with error 31
00:00:00.239615          USB: Unknown USB device detected (idVendor: 0x1bcf, idProduct: 0x2c03). Please, report the idVendor and idProduct to virtualbox.org.
00:00:00.321911          HostDnsMonitor: old information
00:00:00.321911            no server entries
00:00:00.321911            no search string entries
00:00:00.321911            no domain set
00:00:00.321911          HostDnsMonitor: new information
00:00:00.321911            server 1: 194.168.4.100
00:00:00.321911            server 2: 194.168.8.100
00:00:00.321911            no search string entries
00:00:00.321911            no domain set
00:00:00.321911          HostDnsMonitorProxy::notify
00:00:00.361302          VD: VDInit finished
00:00:00.362302          Loading settings file "f:\VBox\u1204\u1204.vbox" with version "1.15-windows"
00:00:01.265971 Watcher  ERROR [COM]: aRC=E_FAIL (0x80004005) aIID={f30138d4-e5ea-4b3a-8858-a059de4c93fd} aComponent={MachineWrap} aText={The virtual machine 'u1204' has terminated unexpectedly during startup with exit code -1073741819 (0xc0000005)}, preserve=false aResultDetail=0
00:00:06.274865 main     ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={4afe423b-43e0-e9d0-82e8-ceb307940dda} aComponent={MediumWrap} aText={Medium 'f:\VBox\u1204\u1204.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0
00:00:06.279872 Watcher  ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={0169423f-46b4-cde9-91af-1e9d5b6cd945} aComponent={VirtualBoxWrap} aText={The object is not ready}, preserve=false aResultDetail=0

comment:6 Changed 20 months ago by ci4

Apologies for the duplication - I should have refreshed the page before I hit the submit button...

comment:7 Changed 20 months ago by Yirkha

Moved from #15245:

Indeed, there is another new pointer-sized value at the end of the structure for ASLR improvements in the latest builds.

From WinTypes.pdb of 14328.rs1_release:

UserDefinedType: _IMAGE_LOAD_CONFIG_DIRECTORY64, len = 0xC8
...
Data           :   this+0xA0, Member, Type: unsigned __int64, GuardAddressTakenIatEntryTable
Data           :   this+0xA8, Member, Type: unsigned __int64, GuardAddressTakenIatEntryCount
Data           :   this+0xB0, Member, Type: unsigned __int64, GuardLongJumpTargetTable
Data           :   this+0xB8, Member, Type: unsigned __int64, GuardLongJumpTargetCount
Data           :   this+0xC0, Member, Type: unsigned __int64, DynamicValueRelocTable
UserDefinedType: _IMAGE_LOAD_CONFIG_DIRECTORY32, len = 0x7C
...
Data           :   this+0x68, Member, Type: unsigned long, GuardAddressTakenIatEntryTable
Data           :   this+0x6C, Member, Type: unsigned long, GuardAddressTakenIatEntryCount
Data           :   this+0x70, Member, Type: unsigned long, GuardLongJumpTargetTable
Data           :   this+0x74, Member, Type: unsigned long, GuardLongJumpTargetCount
Data           :   this+0x78, Member, Type: unsigned long, DynamicValueRelocTable

comment:8 Changed 20 months ago by Zupo Llask

VBoxHardening.log is not being generated/updated, so it's not available.

comment:9 follow-up: ↓ 10 Changed 20 months ago by Yirkha

Adding the reason for clarity how the above is linked:

C:\Program Files\Oracle\VirtualBox>VBoxSDL.exe
: RTLdrOpenWithReader failed: Unknown Status -626 (0xfffffd8e) (Image='\SystemRoot\System32\ntdll.dll').

-626 = VERR_LDRPE_LOAD_CONFIG_SIZE again.

comment:10 in reply to: ↑ 9 ; follow-up: ↓ 12 Changed 20 months ago by Zupo Llask

Replying to Yirkha:

Adding the reason for clarity how the above is linked:

C:\Program Files\Oracle\VirtualBox>VBoxSDL.exe
: RTLdrOpenWithReader failed: Unknown Status -626 (0xfffffd8e) (Image='\SystemRoot\System32\ntdll.dll').

-626 = VERR_LDRPE_LOAD_CONFIG_SIZE again.

How did you get all those datails?

Can you please elaborate or point me to that information?

Thanks!

comment:11 Changed 20 months ago by Dougie

I'm running Insider Preview build 14328.rs1_release.160418-1609.

I've installed the latest 5.0.19.6806 test build and get the same failure.

Log Name:      Application
Source:        Application Error
Date:          25/04/2016 22:17:18
Event ID:      1000
Task Category: (100)
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      Dougies-HP
Description:
Faulting application name: VirtualBox.exe, version: 5.0.19.6806, time stamp: 0x5719dfd6
Faulting module name: VirtualBox.exe, version: 5.0.19.6806, time stamp: 0x5719dfd6
Exception code: 0xc0000005
Fault offset: 0x00000000000137e2
Faulting process ID: 0xd8
Faulting application start time: 0x01d19f37d8689c32
Faulting application path: C:\Program Files\Oracle\VirtualBox\VirtualBox.exe
Faulting module path: C:\Program Files\Oracle\VirtualBox\VirtualBox.exe
Report ID: 2ab1057c-fd10-443a-a9cf-18e3c81de548
Faulting package full name: 
Faulting package-relative application ID: 
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Application Error" />
    <EventID Qualifiers="0">1000</EventID>
    <Level>2</Level>
    <Task>100</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2016-04-25T21:17:18.539920400Z" />
    <EventRecordID>1870</EventRecordID>
    <Channel>Application</Channel>
    <Computer>Dougies-HP</Computer>
    <Security />
  </System>
  <EventData>
    <Data>VirtualBox.exe</Data>
    <Data>5.0.19.6806</Data>
    <Data>5719dfd6</Data>
    <Data>VirtualBox.exe</Data>
    <Data>5.0.19.6806</Data>
    <Data>5719dfd6</Data>
    <Data>c0000005</Data>
    <Data>00000000000137e2</Data>
    <Data>d8</Data>
    <Data>01d19f37d8689c32</Data>
    <Data>C:\Program Files\Oracle\VirtualBox\VirtualBox.exe</Data>
    <Data>C:\Program Files\Oracle\VirtualBox\VirtualBox.exe</Data>
    <Data>2ab1057c-fd10-443a-a9cf-18e3c81de548</Data>
    <Data>
    </Data>
    <Data>
    </Data>
  </EventData>
</Event>

Visual Studio gives me this disassembly

00007FF7A76B360B  jmp         00007FF7A76B33FB  
00007FF7A76B3610  mov         al,byte ptr [14h]  
00007FF7A76B3617  inc         al  
00007FF7A76B3619  mov         byte ptr [14h],al  
00007FF7A76B3620  jmp         00007FF7A76B3632  
00007FF7A76B3622  mov         al,byte ptr [15h]  <== FAILING INSTRUCTION
00007FF7A76B3629  inc         al  
00007FF7A76B362B  mov         byte ptr [15h],al  
00007FF7A76B3632  int         3  
00007FF7A76B3633  inc         esi  
00007FF7A76B3635  add         rbx,78h  
00007FF7A76B3639  cmp         esi,3  
00007FF7A76B363C  jb          00007FF7A76B3450  
00007FF7A76B3642  lea         rsi,[7FF7A77565C8h]  
00007FF7A76B3649  mov         eax,3  
00007FF7A76B364E  xchg        ax,ax  

I don't know if that helps. I was only trying to stoke Virtualbox up to upgrade my Ubuntu VM to 16.04. I'm willing to try any test versions.

comment:12 in reply to: ↑ 10 Changed 20 months ago by Yirkha

Replying to Zupo Llask:

How did you get all those datails? Can you please elaborate or point me to that information?

Hi Zupo,

the default VirtualBox UI crashes immediately after start. As apparent in Dougie's disassembly above, it's a deliberate write to an invalid address 0x15 to bring the process down quickly, not a real crash. The underlying reason is not easily visible. Launching the console/SDL front-end prints more information, as I have shown.

A common non-overlapping set of error codes is used throughout VirtualBox, so it is easy to find out what -626 means by looking into the relevant header files in VirtualBox source code. Comparing the only place the error code VERR_LDRPE_LOAD_CONFIG_SIZE is actually used (a "load config directory" parser in the PE loader) with the "load config directory" of ntdll.dll in the recent Windows builds shows that the updated record is clearly not supported yet.

PDB files contain debugging information. Microsoft provides them for free on their public symbol server to aid people in debugging. WinTypes.pdb contains type definitions of composed types used in Windows. Tools from Windows Debugging API SDK can read those and print the type definition, like I did with the relevant structures here.

Also this exact problem has happened before. So that's how I know. Anyway, I think there is enough information in here already, now it's up to the devs to take care of the incompatibility - with appropriate priority.

Last edited 20 months ago by Yirkha (previous) (diff)

comment:13 Changed 20 months ago by frank

The latest 5.0 Windows test build contain a fix for this problem. Please verify.

comment:14 Changed 20 months ago by Yirkha

Indeed, verified fixed on 14329.rs1_release, VirtualBox applications start fine again - thanks!

comment:15 Changed 20 months ago by Zupo Llask

VirtualBox UI is opening normally but VMs are failing to start.

More details later...

comment:16 Changed 20 months ago by Yirkha

Not here, my VMs start and run without problems as far as I can see. Consider creating a separate ticket for your further issues.

comment:17 Changed 20 months ago by Jacob Klein

I can confirm that VirtualBox v5.0.19 Test Build 106880, works great on Windows 10 Build 14328.

However, could the fix also please be backported to a VirtualBox 4.3.x Test Build?

Thanks, Jacob

comment:18 Changed 20 months ago by frank

The latest 4.3 Windows test build contains the fix as well (just refreshed).

comment:19 Changed 20 months ago by Jacob Klein

VirtualBox v4.3.39 Test Build 106879 .... WORKS! :) So, both 5.x and 4.3.x are now working! Thanks Oracle developers!!

comment:20 Changed 20 months ago by Bertrualex

VirtualBox v5.0.19 Test Build 106880 works for me as well

Last edited 20 months ago by Bertrualex (previous) (diff)

comment:21 Changed 20 months ago by frank

  • Summary changed from VirtualBox doesn't start on latest Windows 10 Pro Insider Preview build 14328 to VirtualBox doesn't start on latest Windows 10 Pro Insider Preview build 14328 => Fixed in SVN

Changed 20 months ago by Zupo Llask

comment:22 Changed 20 months ago by Zupo Llask

@frank,

What do you think about the error below? Should I open a separate ticket?

The virtual machine 'Xenial' has terminated unexpectedly during startup with exit code 1 (0x1). More details may be available in 'C:\Users\helde\VirtualBox VMs\Xenial\Logs\VBoxHardening.log'.


Result Code: 
E_FAIL (0x80004005)
Component: 
MachineWrap
Interface: 
IMachine {f30138d4-e5ea-4b3a-8858-a059de4c93fd}

comment:23 Changed 20 months ago by frank

Zupo, this issue belongs here, no need to open a separate ticket. Thanks.

comment:24 Changed 20 months ago by frank

Test builds updated again (also 4.3 Windows). Zupo, your problem is hopefully fixed. Could you confirm? Thank you!

comment:25 Changed 20 months ago by Zupo Llask

Frank, now everything is working perfectly. Thanks! :-)

comment:26 Changed 20 months ago by Stanzilla

Got this error when saving the machine state  http://i.imgur.com/mvF58rr.png

Using version VirtualBox-5.0.19-106900-Win

comment:27 Changed 20 months ago by frank

Stanzilla, do you also have a Windows application dump available?

comment:28 Changed 20 months ago by frank

Stanzilla, are you 100% sure that this problem didn't happen with 5.0.18? Of course your problem should be investigated but I need to know if this is a recent regression or not.

comment:29 Changed 20 months ago by frg

I experienced a similar crash on Windows 7 x64 with Windows 7 x86 host by just trying to run Libreoffice 5.2 Alpha 1. It's reproducable. Didn't have time to file a bug report yet. Going back to 106880 fixed it.

FRG

comment:30 Changed 20 months ago by frank

frg, did you any change of the Guest Additions, that is, did you update the Guest Additions?

comment:31 Changed 20 months ago by frg

Frank,

actually this vm is running the rather old 4.2.36 guest additions. I found them the most stable with the sh*tty Intel 4500 graphics drivers. 3D support disabled because it wouldn't work with any guest additions. If the error can't be reproduced I can try to update to latest additions and check if it's still there over the weekend and then open a proper bug report. I doubt it is Windows 10 specific.

FRG

comment:32 Changed 20 months ago by frank

No, an update to the latest Guest Additions is not required. I just cannot imagine how your VM could crash when it didn't crash with build 106880. Very very unlikely...

comment:33 Changed 20 months ago by frank

Fix is part of 5.0.20.

comment:34 Changed 20 months ago by Stanzilla

frank: The error with .18 was a different one ( http://i.imgur.com/PYmGjQQ.png) but happened on suspending, too. Sadly no dump, will provide when I can repro again.

Last edited 20 months ago by Stanzilla (previous) (diff)

comment:35 Changed 20 months ago by frg

The Windows 7 error I saw is gone with 5.0.20. Thanks for the quick fix.

comment:36 Changed 20 months ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Thanks. Stanzilla, when you see this bug again, please create a separate ticket.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use